View Issue Details

IDProjectCategoryView StatusLast Update
0030952FPCRTLpublic2017-08-28 07:58
ReportersilvioprogAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.1Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0030952: [FEATURE REQUEST] GetRawByteStrProp()/SetRawByteStrProp()
DescriptionHello,

That functions can make FPC's TypInfo unit compatible with Delphi's one.

1. GetRawByteStrProp: http://docwiki.embarcadero.com/Libraries/Berlin/en/System.TypInfo.GetRawByteStrProp .
2. SetRawByteStrProp: http://docwiki.embarcadero.com/Libraries/Berlin/en/System.TypInfo.SetRawByteStrProp .

Thank you!
TagsRTTI, typinfo
Fixed in Revision35900
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2017-04-22 14:41

administrator   ~0099775

Added. please test and close if OK

Issue History

Date Modified Username Field Change
2016-11-18 13:37 silvioprog New Issue
2016-11-18 13:37 silvioprog Tag Attached: RTTI
2016-11-18 13:37 silvioprog Tag Attached: typinfo
2016-11-19 13:21 Michael Van Canneyt Assigned To => Michael Van Canneyt
2016-11-19 13:21 Michael Van Canneyt Status new => assigned
2017-04-22 14:41 Michael Van Canneyt Fixed in Revision => 35900
2017-04-22 14:41 Michael Van Canneyt Note Added: 0099775
2017-04-22 14:41 Michael Van Canneyt Status assigned => resolved
2017-04-22 14:41 Michael Van Canneyt Fixed in Version => 3.1.1
2017-04-22 14:41 Michael Van Canneyt Resolution open => fixed
2017-04-22 14:41 Michael Van Canneyt Target Version => 3.2.0
2017-08-28 07:58 silvioprog Status resolved => closed